document.addEventListener("DOMContentLoaded", function() {
    // Retrieve the rowData from the session
    var rowData = sessionStorage.getItem('rowData');
    var rowDataObj = JSON.parse(rowData);
    // Log the rowDataObj to the console
    console.log(rowDataObj);
    // Unpack each variable
    
    
    const curp = rowDataObj["CURP"];
    document.getElementById("curp").textContent = curp;
    const telefono = rowDataObj["Número de teléfono"];
    document.getElementById("telefono").textContent = telefono;
    const mail = rowDataObj["Email"];
    document.getElementById("mail").textContent = mail;
    const domicilio = rowDataObj["Domicilio"];
    document.getElementById("domicilio").textContent = domicilio;
    const edoCivil = rowDataObj["Estado Civil"];
    document.getElementById("civil").textContent = edoCivil;
    const regimenFiscal = rowDataObj["Régimen Fiscal"];
    document.getElementById("fiscal").textContent = regimenFiscal;
    const nacimiento = rowDataObj["Lugar de Nacimiento"];
    document.getElementById("lugarnacimiento").textContent = nacimiento;
    const nombrePF = rowDataObj["Nombre"];
    document.getElementById("nombre").textContent = nombrePF;
    document.getElementById("personaFisica").textContent = nombrePF;
    document.getElementById("nombre2").textContent = nombrePF;
    document.getElementById("nombre3").textContent = nombrePF;
    const rfc = rowDataObj["RFC"];
    document.getElementById("rfc").textContent = rfc;
    const ocu = rowDataObj["Ocupación"];
    document.getElementById("ocupacion").textContent = ocu;
    const id = rowDataObj["id"];
    document.getElementById("id").textContent = id;
    });